Subject: Re: [PATCH] ci: avoid ubuntu:rolling in most jobs for now

From: Collin Funk <[email-masked]>
Date: Thu, 05 Feb 2026 13:55:37 -0800

Junio C Hamano <[email-masked]> writes:

> We just was hit by buggy uutils dirname in ubuntu:rolling.
> Avoid breakage caused by being on the bleeding edge.
>
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
>
>  * So here is what I have near the merge of "let's test contrib/
>    stuff as well" in 'seen' for today's integration to avoid getting
>    hit by broken dirname in ubuntu:rolling reported earlier in
>
>     https://lore.kernel.org/git/[email-masked]/
>
>    Until uutils used by ubuntu:rolling stabilizes a bit more, we may
>    want to keep a patch like this in our CI jobs.  Or we may offer
>    ourselves as a guinea-pig?  I do not have strong preference
>    either way.
>
>  .github/workflows/main.yml | 14 +++++++-------
>  1 file changed, 7 insertions(+), 7 deletions(-)

If you would prefer to keep using ubuntu:rolling, you can do something
like this:

    $ podman run --rm -it ubuntu:25.10
    $ dirname --version
    dirname (uutils coreutils) 0.2.2
    $ apt-get upgrade -y; apt-get update -y;
    [...]
    $ apt-get install -y coreutils-from-gnu coreutils-from-uutils- \
        --allow-remove-essential
    [...]
    $ dirname --version | head -n 1
    dirname (GNU coreutils) 9.5

I'm not familiar with the CI, so I am not voting for either option. I'll
let others decide. :)

Collin